Module java.desktop
Package javax.swing.plaf.basic

## Class BasicSplitPaneUI.PropertyHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneUI.PropertyHandler

All Implemented Interfaces:
  PropertyChangeListener, EventListener

Enclosing class:
  BasicSplitPaneUI

    public class BasicSplitPaneUI.PropertyHandler
    extends Object
    implements PropertyChangeListener

Implementation of the PropertyChangeListener that the JSplitPane UI uses.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

### Constructor Summary

Constructors
Constructor and Description
`PropertyHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `propertyChange(PropertyChangeEvent e)` Messaged from the `JSplitPane` the receiver is contained in.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyHandler

    public PropertyHandler()

### Method Detail

#### propertyChange

    public void propertyChange(PropertyChangeEvent e)

Messaged from the `JSplitPane` the receiver is contained in. May potentially reset the layout manager and cause a `validate` to be sent.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.